#!/bin/bash

datos=`curl https://api.preciodelaluz.org/v1/prices/all?zone=PCB`

# extraer datos:

echo $datos|jq -c -r '.[]' | while read linea; do
	linea2=`echo $linea| sed 's/is-cheap/ischeap/'`
	i=`echo $linea2| sed 's/is-under-avg/isunderavg/'`
	
	fecha=$(echo $i |jq -r '.date')

	fechaformateada="`echo $fecha|cut -f3 -d'-'`-`echo $fecha|cut -f2 -d'-'`-`echo $fecha|cut -f1 -d'-'`"

	hora=$(echo $i |jq -r '.hour')
	fechayhora="$fechaformateada `echo $hora |cut -c1-2`:00"
	ischeap=$(echo $i |jq -r '.ischeap')
	isunderavg=$(echo $i |jq -r '.isunderavg')
	price=$(echo $i |jq -r '.price')
	units=$(echo $i |jq -r '.units')

#echo "insert into precios (date,ischeap,isunderavg,price,units) values('$fechayhora', $ischeap, $isunderavg, $price, '$units');"

#echo "$linea2"
mysql -h $DB_HOST -u root -p'Dsa-0213' enphase <<EOFMYSQL
insert into precios (date,ischeap,isunderavg,price,units) values('$fechayhora', $ischeap, $isunderavg, $price, '$units');
EOFMYSQL
done

